# ResolverObject Struct Reference

## Data Fields

CallbackID | callback
uint32 | callback_param1
uint32 | callback_param2
byte | trigger
uint32 | last_value
| Result of most recent DeterministicSpriteGroup (including procedure calls).
uint32 | reseed
| Collects bits to rerandomise while triggering triggers.
VarSpriteGroupScope | scope
| Scope of currently resolved DeterministicSpriteGroup resp. RandomizedSpriteGroup.
byte | count
| Additional scope for RandomizedSpriteGroup.
BaseStorageArray * | psa
| The persistent storage array of this resolved object.
const GRFFile * | grffile
| GRFFile the resolved SpriteGroup belongs to.
union {
struct {
struct Vehicle * self
struct Vehicle * parent
EngineID self_type
bool info_view
| Indicates if the item is being drawn in an info window.
} vehicle
struct {
TileIndex tile
} canal
struct {
TileIndex tile
struct BaseStation * st
struct StationSpec * statspec
CargoID cargo_type
} station
struct {
TileIndex tile
Town * town
HouseID house_id
} house
struct {
TileIndex tile
Industry * ind
IndustryGfx gfx
IndustryType type
} industry
struct {
struct CargoSpec * cs
} cargo
struct {
CargoID cargo_type
uint8 default_selection
IndustryType src_industry
IndustryType dst_industry
uint8 distance
AIConstructionEvent event
uint8 count
uint8 station_size
} generic
struct {
TileIndex tile
} routes
} | u
uint32(* | GetRandomBits )(const struct ResolverObject *)
uint32(* | GetTriggers )(const struct ResolverObject *)
void(* | SetTriggers )(const struct ResolverObject *, int)
uint32(* | GetVariable )(const struct ResolverObject *, byte, byte, bool *)
const SpriteGroup *(* | ResolveReal )(const struct ResolverObject *, const RealSpriteGroup *)

## Detailed Description

Definition at line 285 of file newgrf_spritegroup.h.

The documentation for this struct was generated from the following file:

- src/newgrf_spritegroup.h